package models

import (
	"time"

	"gorm.io/gorm"
)

type Tag struct {
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt gorm.DeletedAt `gorm:"index"`
	Name      string         `json:"name" gorm:"primaryKey"`
}
