package file

import "path/filepath"

var (
	DefaultBaseDir            = "data"
	DefaultQuizzesSubdir      = "quizzes"
	DefaultCollectionsSubdir  = "collections"
	DefaultParticipantsSubdir = "participants"
	DefaultGroupsSubdir       = "groups"
	DefaultExamsSubdir        = "exams"
)

func GetDefaultQuizzesDir() string {
	return filepath.Join(DefaultBaseDir, DefaultQuizzesSubdir)
}

func GetDefaultCollectionsDir() string {
	return filepath.Join(DefaultBaseDir, DefaultCollectionsSubdir)
}

func GetDefaultParticipantsDir() string {
	return filepath.Join(DefaultBaseDir, DefaultParticipantsSubdir)
}

func GetDefaultGroupsDir() string {
	return filepath.Join(DefaultBaseDir, DefaultGroupsSubdir)
}

func GetDefaultExamsDir() string {
	return filepath.Join(DefaultBaseDir, DefaultExamsSubdir)
}
